
Automated Build Generator - Bug #1983
--non-interactive option for subversion prevents authentication using kwallet and gnome keyring
09/08/2014 06:04 PM - J. Wienke

Status: Resolved Start date: 09/08/2014
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Project Analysis Estimated time: 0.00 hour
Target version: 0.3
Description

Maybe add a command line flag to the generator to enable this again if desired.

Associated revisions
Revision c6caff52 - 10/09/2014 04:16 PM - J. Moringen

Run svn without --non-interactive in src/analysis/subversion.lisp

fixes #1983

The "--non-interactive" prevents Subversion from talking to password
managers like KWallet or gnome-keyring which users might use to store
their credentials

    -  src/analysis/subversion.lisp (%svn-and-global-options): removed
  "--non-interactive" commandline option

History
#1 - 10/09/2014 04:17 PM - J. Moringen
- Target version set to 0.3

#2 - 10/09/2014 04:20 PM - J. Moringen
- Category set to Project Analysis

#3 - 10/09/2014 04:20 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c6caff523432c3021253a46e7cdc13b518d7e911.
